
void _efl_canvas_layout_part_text_text_expand_set(Eo *obj, void *pd, Efl_Canvas_Layout_Part_Text_Expand type);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_canvas_layout_part_text_expand_set, EFL_FUNC_CALL(type), Efl_Canvas_Layout_Part_Text_Expand type);

Efl_Canvas_Layout_Part_Text_Expand _efl_canvas_layout_part_text_text_expand_get(const Eo *obj, void *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_canvas_layout_part_text_expand_get, Efl_Canvas_Layout_Part_Text_Expand, 0);

void _efl_canvas_layout_part_text_efl_text_text_set(Eo *obj, void *pd, const char *text);


const char *_efl_canvas_layout_part_text_efl_text_text_get(const Eo *obj, void *pd);


void _efl_canvas_layout_part_text_efl_text_markup_markup_set(Eo *obj, void *pd, const char *markup);


const char *_efl_canvas_layout_part_text_efl_text_markup_markup_get(const Eo *obj, void *pd);


void _efl_canvas_layout_part_text_efl_text_format_ellipsis_set(Eo *obj, void *pd, double value);


double _efl_canvas_layout_part_text_efl_text_format_ellipsis_get(const Eo *obj, void *pd);


void _efl_canvas_layout_part_text_efl_text_format_wrap_set(Eo *obj, void *pd, Efl_Text_Format_Wrap wrap);


Efl_Text_Format_Wrap _efl_canvas_layout_part_text_efl_text_format_wrap_get(const Eo *obj, void *pd);


void _efl_canvas_layout_part_text_efl_text_font_properties_font_family_set(Eo *obj, void *pd, const char *font);


const char *_efl_canvas_layout_part_text_efl_text_font_properties_font_family_get(const Eo *obj, void *pd);


void _efl_canvas_layout_part_text_efl_text_font_properties_font_size_set(Eo *obj, void *pd, Efl_Font_Size size);


Efl_Font_Size _efl_canvas_layout_part_text_efl_text_font_properties_font_size_get(const Eo *obj, void *pd);


void _efl_canvas_layout_part_text_efl_text_style_text_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


void _efl_canvas_layout_part_text_efl_text_style_text_background_type_set(Eo *obj, void *pd, Efl_Text_Style_Background_Type type);


Efl_Text_Style_Background_Type _efl_canvas_layout_part_text_efl_text_style_text_background_type_get(const Eo *obj, void *pd);


void _efl_canvas_layout_part_text_efl_text_style_text_background_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_background_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


void _efl_canvas_layout_part_text_efl_text_style_text_underline_type_set(Eo *obj, void *pd, Efl_Text_Style_Underline_Type type);


void _efl_canvas_layout_part_text_efl_text_style_text_underline_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_underline_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


void _efl_canvas_layout_part_text_efl_text_style_text_secondary_underline_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_secondary_underline_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


void _efl_canvas_layout_part_text_efl_text_style_text_underline_dashed_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_underline_dashed_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


void _efl_canvas_layout_part_text_efl_text_style_text_underline_height_set(Eo *obj, void *pd, double height);


void _efl_canvas_layout_part_text_efl_text_style_text_underline_dashed_width_set(Eo *obj, void *pd, int width);


void _efl_canvas_layout_part_text_efl_text_style_text_underline_dashed_gap_set(Eo *obj, void *pd, int gap);


void _efl_canvas_layout_part_text_efl_text_style_text_strikethrough_type_set(Eo *obj, void *pd, Efl_Text_Style_Strikethrough_Type type);


void _efl_canvas_layout_part_text_efl_text_style_text_strikethrough_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_strikethrough_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


void _efl_canvas_layout_part_text_efl_text_style_text_effect_type_set(Eo *obj, void *pd, Efl_Text_Style_Effect_Type type);


void _efl_canvas_layout_part_text_efl_text_style_text_shadow_direction_set(Eo *obj, void *pd, Efl_Text_Style_Shadow_Direction type);


void _efl_canvas_layout_part_text_efl_text_style_text_outline_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_outline_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


void _efl_canvas_layout_part_text_efl_text_style_text_shadow_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_shadow_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


void _efl_canvas_layout_part_text_efl_text_style_text_glow_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_glow_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


void _efl_canvas_layout_part_text_efl_text_style_text_secondary_glow_color_set(Eo *obj, void *pd, unsigned char r, unsigned char g, unsigned char b, unsigned char a);


void _efl_canvas_layout_part_text_efl_text_style_text_secondary_glow_color_get(const Eo *obj, void *pd, unsigned char *r, unsigned char *g, unsigned char *b, unsigned char *a);


static Eina_Bool
_efl_canvas_layout_part_text_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_LAYOUT_PART_TEXT_EXTRA_OPS
#define EFL_CANVAS_LAYOUT_PART_TEXT_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_part_text_expand_set, _efl_canvas_layout_part_text_text_expand_set),
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_part_text_expand_get, _efl_canvas_layout_part_text_text_expand_get),
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_canvas_layout_part_text_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_get, _efl_canvas_layout_part_text_efl_text_text_get),
      EFL_OBJECT_OP_FUNC(efl_text_markup_set, _efl_canvas_layout_part_text_efl_text_markup_markup_set),
      EFL_OBJECT_OP_FUNC(efl_text_markup_get, _efl_canvas_layout_part_text_efl_text_markup_markup_get),
      EFL_OBJECT_OP_FUNC(efl_text_ellipsis_set, _efl_canvas_layout_part_text_efl_text_format_ellipsis_set),
      EFL_OBJECT_OP_FUNC(efl_text_ellipsis_get, _efl_canvas_layout_part_text_efl_text_format_ellipsis_get),
      EFL_OBJECT_OP_FUNC(efl_text_wrap_set, _efl_canvas_layout_part_text_efl_text_format_wrap_set),
      EFL_OBJECT_OP_FUNC(efl_text_wrap_get, _efl_canvas_layout_part_text_efl_text_format_wrap_get),
      EFL_OBJECT_OP_FUNC(efl_text_font_family_set, _efl_canvas_layout_part_text_efl_text_font_properties_font_family_set),
      EFL_OBJECT_OP_FUNC(efl_text_font_family_get, _efl_canvas_layout_part_text_efl_text_font_properties_font_family_get),
      EFL_OBJECT_OP_FUNC(efl_text_font_size_set, _efl_canvas_layout_part_text_efl_text_font_properties_font_size_set),
      EFL_OBJECT_OP_FUNC(efl_text_font_size_get, _efl_canvas_layout_part_text_efl_text_font_properties_font_size_get),
      EFL_OBJECT_OP_FUNC(efl_text_color_set, _efl_canvas_layout_part_text_efl_text_style_text_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_color_get, _efl_canvas_layout_part_text_efl_text_style_text_color_get),
      EFL_OBJECT_OP_FUNC(efl_text_background_type_set, _efl_canvas_layout_part_text_efl_text_style_text_background_type_set),
      EFL_OBJECT_OP_FUNC(efl_text_background_type_get, _efl_canvas_layout_part_text_efl_text_style_text_background_type_get),
      EFL_OBJECT_OP_FUNC(efl_text_background_color_set, _efl_canvas_layout_part_text_efl_text_style_text_background_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_background_color_get, _efl_canvas_layout_part_text_efl_text_style_text_background_color_get),
      EFL_OBJECT_OP_FUNC(efl_text_underline_type_set, _efl_canvas_layout_part_text_efl_text_style_text_underline_type_set),
      EFL_OBJECT_OP_FUNC(efl_text_underline_color_set, _efl_canvas_layout_part_text_efl_text_style_text_underline_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_underline_color_get, _efl_canvas_layout_part_text_efl_text_style_text_underline_color_get),
      EFL_OBJECT_OP_FUNC(efl_text_secondary_underline_color_set, _efl_canvas_layout_part_text_efl_text_style_text_secondary_underline_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_secondary_underline_color_get, _efl_canvas_layout_part_text_efl_text_style_text_secondary_underline_color_get),
      EFL_OBJECT_OP_FUNC(efl_text_underline_dashed_color_set, _efl_canvas_layout_part_text_efl_text_style_text_underline_dashed_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_underline_dashed_color_get, _efl_canvas_layout_part_text_efl_text_style_text_underline_dashed_color_get),
      EFL_OBJECT_OP_FUNC(efl_text_underline_height_set, _efl_canvas_layout_part_text_efl_text_style_text_underline_height_set),
      EFL_OBJECT_OP_FUNC(efl_text_underline_dashed_width_set, _efl_canvas_layout_part_text_efl_text_style_text_underline_dashed_width_set),
      EFL_OBJECT_OP_FUNC(efl_text_underline_dashed_gap_set, _efl_canvas_layout_part_text_efl_text_style_text_underline_dashed_gap_set),
      EFL_OBJECT_OP_FUNC(efl_text_strikethrough_type_set, _efl_canvas_layout_part_text_efl_text_style_text_strikethrough_type_set),
      EFL_OBJECT_OP_FUNC(efl_text_strikethrough_color_set, _efl_canvas_layout_part_text_efl_text_style_text_strikethrough_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_strikethrough_color_get, _efl_canvas_layout_part_text_efl_text_style_text_strikethrough_color_get),
      EFL_OBJECT_OP_FUNC(efl_text_effect_type_set, _efl_canvas_layout_part_text_efl_text_style_text_effect_type_set),
      EFL_OBJECT_OP_FUNC(efl_text_shadow_direction_set, _efl_canvas_layout_part_text_efl_text_style_text_shadow_direction_set),
      EFL_OBJECT_OP_FUNC(efl_text_outline_color_set, _efl_canvas_layout_part_text_efl_text_style_text_outline_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_outline_color_get, _efl_canvas_layout_part_text_efl_text_style_text_outline_color_get),
      EFL_OBJECT_OP_FUNC(efl_text_shadow_color_set, _efl_canvas_layout_part_text_efl_text_style_text_shadow_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_shadow_color_get, _efl_canvas_layout_part_text_efl_text_style_text_shadow_color_get),
      EFL_OBJECT_OP_FUNC(efl_text_glow_color_set, _efl_canvas_layout_part_text_efl_text_style_text_glow_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_glow_color_get, _efl_canvas_layout_part_text_efl_text_style_text_glow_color_get),
      EFL_OBJECT_OP_FUNC(efl_text_secondary_glow_color_set, _efl_canvas_layout_part_text_efl_text_style_text_secondary_glow_color_set),
      EFL_OBJECT_OP_FUNC(efl_text_secondary_glow_color_get, _efl_canvas_layout_part_text_efl_text_style_text_secondary_glow_color_get),
      EFL_CANVAS_LAYOUT_PART_TEXT_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_layout_part_text_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Layout_Part_Text",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _efl_canvas_layout_part_text_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_layout_part_text_class_get, &_efl_canvas_layout_part_text_class_desc, EFL_CANVAS_LAYOUT_PART_CLASS, EFL_TEXT_INTERFACE, EFL_TEXT_MARKUP_INTERFACE, EFL_TEXT_FORMAT_INTERFACE, EFL_TEXT_FONT_PROPERTIES_INTERFACE, EFL_TEXT_STYLE_INTERFACE, NULL);
